# Generated from snake_params-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name snake_params

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Convert parameters from camelCase to snake_case
License: MIT
URL: https://www.github.com/panorama-ed/snake_params
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(overcommit) >= 0.21
# BuildRequires: rubygem(overcommit) < 1
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.28
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Convert parameters from camelCase to snake_case. This bridges the gap between
JavaScript and Ruby naming conventions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/snake_params.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
